/*==========================================
                 Root Color Edit 
============================================*/

:root {
    --body-text: #000 !important;
    --checkout-form-bg: #ffffff !important;
}

/*==========================================
                 Header Edit 
============================================*/

/* Cart and Search Botton */
.ab-icon-btn.cart-btn:focus-visible::before, 
.ab-icon-btn.cart-btn:hover::before, 
.ab-icon-btn.search-btn:focus-visible::before, 
.ab-icon-btn.search-btn:hover::before {
    background: currentColor !important; 
}

.flex.w-full.flex-1.items-end.max-w-5xl.mx-auto input.global_input {
    background: inherit !important;
}

[multiple]:focus, 
[type=date]:focus, 
[type=datetime-local]:focus, 
[type=email]:focus, 
[type=month]:focus, 
[type=number]:focus, 
[type=password]:focus, 
[type=search]:focus, 
[type=tel]:focus, 
[type=text]:focus, 
[type=time]:focus, 
[type=url]:focus, 
[type=week]:focus, 
select:focus, 
textarea:focus {
    outline: 2px solid transparent;
    outline-offset: 2px;
    --tw-ring-inset: var(--tw-empty, );
    --tw-ring-offset-width: 0px;
    --tw-ring-offset-color: #000000 !important;
    --tw-ring-color: #000000 !important; 
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow);
    border-color: #000000 !important;
}

.checkout_form .global_input:not(.border-red-500), 
.checkout_form .global_textarea:not(.border-red-500), 
.global_input:not(.border-red-500), 
.global_textarea:not(.border-red-500), 
.product_form_checkout .global_input:not(.border-red-500), 
.product_form_checkout .global_textarea:not(.border-red-500) {
    border: 2.5px solid rgb(0 0 0) !important;
    background: var(--input-bg, #fff) !important;
}

.checkout_form .global_input, .checkout_form .global_textarea, .global_input, .global_textarea, .product_form_checkout .global_input, .product_form_checkout .global_textarea {
    border-radius: 0px !important;
    transition: border-color .2s, background .2s !important;
    font-size: 1rem !important;
    line-height: 1.5rem !important;
    padding: .75rem 1rem !important;
    width: 100% !important;
    color: var(--input-text, #151515) !important;
    background: var(--input-bg, #fff) !important;
}

.text-base {
    font-size: 1rem !important;
    line-height: 1.6rem !important;
}

/* Menu Botton */
.ab-hamburger:focus-visible, .ab-hamburger:hover {
    color: currentColor !important;
}

/* Checkout Botton Edit */

.checkout_btn:hover {
    opacity: 1 !important;
}

.quantity_btn_container {
    border-radius: 0px !important;
    gap: .5rem;
    border: 1px solid var(--body-text, var(--crt-btn-border, #151515a4)) !important; 
    margin: 0 !important;
}

.rounded {
    border-radius: 0rem !important;
}

.add_to_cart_btn {
    display: flex !important;
    align-items: center !important;
    text-transform: capitalize;
    background: var(--crt-btn-bg, #fff);
    color: var(--crt-btn-text, #151515);
    border: 1px solid var(--crt-btn-border, #000000) !important;
    border-radius: 0px !important;
    flex: 1;
    font-size: 16px;
    padding-block: 12px;
    line-height: 1.6 !important;
}

.checkout_mobile_total_toggle span.font-\[inherit\], .font-bold.text-gray-900 {
    color: #ffffff !important;
    font-weight: 600;
    font-size: 19px;
    background-color: black !important;
}

.rounded-\[14px\] {
    border-radius: 0px !important;
}

.flex.justify-center.items-center.gap-4.border.border-\[\#EBEBEB\].rounded-\[14px\].px-2 {
    border-radius: 0PX !important;
    HEIGHT: 50px;
    border-color: var(--body-text, #151515);
}

.hover\:bg-gray-100:hover {
    --tw-bg-opacity: 1;
    background-color: #fff !important;
}

.checkout_btn {
    color: var(--buy-btn-text, #fff);
    border: 0px solid var(--buy-btn-border, #000000) !important;
    border-radius: 0px !important;
    font-weight: 600;
    font-size: 16px;
    padding-block: .8rem;
    text-transform: capitalize;
}

.checkout_btn, .checkout_btn:hover {
    background: #000000 !important;
}

.checkout_bg_left.checkout_bg_left {
    background: #ffffff !important;
}

.checkout_form {
    background: #ffffff !important;
}

.checkout_bg_right.checkout_bg_right, .checkout_order_summary.checkout_order_summary {
    background: #ffffff !important;
    padding-block: 60px !important;
}

.fixed.bottom-0.left-0.right-0.z-50.mt-2.flex.items-center.justify-center.border-t.border-gray-200.py-2.max-md\:p-4.max-md\:bg-white.lg\:static.lg\:border-t-0 {
    background: #ffffff !important;
}

.hover\:bg-skin-primary:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(0, 0, 0) !important;
    color: #fff !important;
}

.checkout_buy_now:hover, .checkout_form button[type=submit]:hover, .form_checkout_btn:hover {
    opacity: 1 !important;
}

.checkout_buy_now, .checkout_form button[type=submit], .form_checkout_btn {
    background: #000000;
    color: var(--buy-btn-text, #fff) !important;
    border: 0px solid var(--buy-btn-border, #151515) !important;
    border-radius: 0px !important;
    font-weight: 600 !important;
    font-size: 16px;
    padding: 10px 20px;
    transition: opacity .2s;
}